Paycose Docs
Invoice
DELETE/invoices/{invoice_id}

Delete Draft Invoice

Hard-delete a DRAFT invoice. Only invoices in draft status are deletable.

Request

Example

curl -X DELETE 'https://api.paycose.com/api/v1/app1/platform/wallet/invoices/{{invoice_id}}' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default).

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "location": "<string>",
  "object": "<string>",
  "message": "<string>",
  "id": "<string>"
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page